// 文件路径: I:\1_liziqian\Project\city-life-line\src\api\pipeNetwork\waterUserInfo.js
import request from '@/utils/request'

const urlPrefix = '/api/water/userInfo'

export function listWaterUser(query) {
  return request({
    url: urlPrefix + '/page',
    method: 'get',
    params: query
  })
}

export function getWaterUser(id) {
  return request({
    url: urlPrefix + '/' + id,
    method: 'get'
  })
}

export function addWaterUser(data) {
  return request({
    url: urlPrefix,
    method: 'post',
    data: data
  })
}

export function updateWaterUser(data) {
  return request({
    url: urlPrefix,
    method: 'put',
    data: data
  })
}

export function delWaterUser(ids) {
  return request({
    url: urlPrefix + '/' + ids,
    method: 'delete'
  })
}

export function listRecycleWaterUser(query) {
  return request({
    url: urlPrefix + '/recycle/list',
    method: 'get',
    params: query
  })
}

export function restoreWaterUser(ids) {
  return request({
    url: urlPrefix + '/recycle/restore/' + ids,
    method: 'post'
  })
}

export function deletePhysicallyWaterUser(ids) {
  return request({
    url: urlPrefix + '/recycle/delete/' + ids,
    method: 'delete'
  })
}
